#!/bin/sh

# some fun with ascii emojis ##
# emojis.sh by @root_informatica.

# emojis file path.
EMJ="$HOME/.emojis"

# check if runing inside a terminal.
if [ -t 0 ]; then
    # pull up the file with fzfmenu and store in a termporary location.
    MENU=fzfmenu.sh
    $MENU < $EMJ | cut -d ' ' -f 3- > /tmp/emoji
        
else
    # pull up the file with xmenu.sh and send to clipboard.
    MENU=xmenu.sh
    $MENU < $EMJ | cut -d ' ' -f 3- | xclip -sel c
fi

## .emojis file example:
# acid  ⊂(◉‿◉)つ
# afraid  (ㆆ_ㆆ)
# angel  ☜(⌒▽⌒)☞
# angry x (•`_´•)
