#!/bin/sh

## simple proces manager for non-X sessions ##

# choose the signal to send.
SIGNAL=$(echo "pause\ncontinue\nkill" | fzfmenu.sh)
if [ "$SIGNAL" ]; then
    # choose the proces.
    PROC=$(pgrep -a -u $USER | cut -c 1-100 | fzfmenu.sh | cut -d ' ' -f 1)
    if [ "$PROC" ]; then
        case $SIGNAL in
            pause)    # pause process
	        kill -STOP $PROC
	        ;;
            continue)    # resume process
	        kill -CONT $PROC
	        ;;
            kill)    # kill process 
	        kill $PROC
	        ;;
        esac
    fi
fi
