#!/bin/sh

## vol level, alxamixer, dzen2 notifications ##
# vol.sh by @root_informatica.

. $HOME/.config/wms/wms_var 

FLAG=$1

# usage
cat <<EOF
usage:
vol.sh [-d, -u]
-d) decrease volume.
-i) increase volume.
EOF

case $FLAG in
    -d)
	amixer sset Master 10%-
	;;
    -i)
	amixer sset  Master 10%+
	;;
    *)
	usage
	;;
esac

# dzen2 stuff
DZPID=$(pgrep dzen)
[ -n "$DISPLAY" ] && dzpanel.sh -v
